umbrello: UMLViewDialog Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
UMLViewDialog Class Reference

`#include <umlviewdialog.h>`

Inheritance diagram for UMLViewDialog:

## Public Slots
void | slotOk ()
void | slotApply ()

## Public Member Functions
| UMLViewDialog (QWidget *pParent, UMLScene *pScene)
| ~UMLViewDialog ()
virtual void | apply ()
Public Member Functions inherited from MultiPageDialogBase
| MultiPageDialogBase (QWidget *parent, bool withDefaultButton=false)
virtual | ~MultiPageDialogBase ()
void | apply ()
void | setCaption (const QString &caption)
void | accept ()
void | reject ()
KPageWidgetItem * | currentPage () const
void | addPage (KPageWidgetItem *page)
void | setCurrentPage (KPageWidgetItem *page)
int | exec ()
virtual bool | isModified () const

## Protected Member Functions
void | setupPages ()
void | setupDiagramPropertiesPage ()
void | setupDisplayPage ()
void | setupStylePage ()
void | applyPage (KPageWidgetItem *)
void | checkName ()
Protected Member Functions inherited from MultiPageDialogBase
virtual void | keyPressEvent (QKeyEvent *event)
QFrame * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon)
KPageWidgetItem * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon, QWidget *widget)
void | setupGeneralPage (AssociationWidget *widget)
void | applyGeneralPage (AssociationWidget *widget)
void | setupGeneralPage (NoteWidget *widget)
KPageWidgetItem * | setupGeneralPage (MessageWidget *widget)
void | applyGeneralPage (MessageWidget *widget)
KPageWidgetItem * | setupFontPage (const QFont &font)
KPageWidgetItem * | setupFontPage (UMLWidget *widget)
KPageWidgetItem * | setupFontPage (AssociationWidget *widget)
void | resetFontPage (QWidget *widget)
void | applyFontPage (AssociationWidget *widget)
void | applyFontPage (Settings::OptionState *state)
void | applyFontPage (UMLScene *scene)
void | applyFontPage (UMLWidget *widget)
KPageWidgetItem * | setupStylePage (WidgetBase *widget)
KPageWidgetItem * | setupStylePage (AssociationWidget *widget)
void | applyStylePage ()
KPageWidgetItem * | setupAssociationRolePage (AssociationWidget *widget)
void | applyAssociationRolePage ()

## Protected Attributes
UMLScene * | m_pScene
| the scene to represent
DiagramPropertiesPage * | m_diagramPropertiesPage
ClassOptionsPage * | m_pOptionsPage
KPageWidgetItem * | m_pageStyleItem
KPageWidgetItem * | m_pageFontItem
KPageWidgetItem * | m_pageDisplayItem
KPageWidgetItem * | m_pageDiagramItem
Protected Attributes inherited from MultiPageDialogBase
AssociationGeneralPage * | m_pAssocGeneralPage
NotePage * | m_notePage
SelectOperationPage * | m_operationGeneralPage
AssociationRolePage * | m_pRolePage
KFontChooser * | m_fontChooser
UMLWidgetStylePage * | m_pStylePage
KPageWidgetItem * | m_pageItem
KPageDialog * | m_pageDialog
KPageWidget * | m_pageWidget
bool | m_useDialog
bool | m_isModified

## Additional Inherited Members
Public Types inherited from MultiPageDialogBase
enum | PageType { AutoLayoutPage , ClassPage , CodeImportPage , CodeGenerationPage , CodeViewerPage , FontPage , GeneralPage , UserInterfacePage }
| Available page types. More...
Signals inherited from MultiPageDialogBase
void | okClicked ()
void | applyClicked ()
void | defaultClicked ()
Protected Slots inherited from MultiPageDialogBase
void | slotEnableButtonOk (bool state)

## Detailed Description

Author
  Paul Hensgen Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLViewDialog()

UMLViewDialog::UMLViewDialog | ( | QWidget * | pParent,
|  | UMLScene * | pScene
| ) |  |

Constructor.

## ◆ ~UMLViewDialog()

UMLViewDialog::~UMLViewDialog | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ apply()

void UMLViewDialog::apply | ( |  | ) |
| virtual

## ◆ applyPage()

void UMLViewDialog::applyPage | ( | KPageWidgetItem * | item | ) |
| protected

Applies the properties of the given page.

## ◆ checkName()

void UMLViewDialog::checkName | ( |  | ) |
| protected

## ◆ setupDiagramPropertiesPage()

void UMLViewDialog::setupDiagramPropertiesPage | ( |  | ) |
| protected

Sets up the general Diagram Properties Page

## ◆ setupDisplayPage()

void UMLViewDialog::setupDisplayPage | ( |  | ) |
| protected

Sets up the display page

## ◆ setupPages()

void UMLViewDialog::setupPages | ( |  | ) |
| protected

Sets up the dialog pages.

## ◆ setupStylePage()

void UMLViewDialog::setupStylePage | ( |  | ) |
| protected

Sets up the style page.

## ◆ slotApply

void UMLViewDialog::slotApply | ( |  | ) |
| slot

## ◆ slotOk

void UMLViewDialog::slotOk | ( |  | ) |
| slot

## Member Data Documentation

## ◆ m_diagramPropertiesPage

DiagramPropertiesPage* UMLViewDialog::m_diagramPropertiesPage
| protected

## ◆ m_pageDiagramItem

KPageWidgetItem* UMLViewDialog::m_pageDiagramItem
| protected

## ◆ m_pageDisplayItem

KPageWidgetItem* UMLViewDialog::m_pageDisplayItem
| protected

## ◆ m_pageFontItem

KPageWidgetItem* UMLViewDialog::m_pageFontItem
| protected

## ◆ m_pageStyleItem

KPageWidgetItem* UMLViewDialog::m_pageStyleItem
| protected

## ◆ m_pOptionsPage

ClassOptionsPage* UMLViewDialog::m_pOptionsPage
| protected

## ◆ m_pScene

UMLScene* UMLViewDialog::m_pScene
| protected

the scene to represent

The documentation for this class was generated from the following files:

- umbrello/dialogs/umlviewdialog.h
- umbrello/dialogs/umlviewdialog.cpp